# Report API

## Post Drop

<mark style="color:green;">`POST`</mark> `https://penguin-stats.io/PenguinStats/api/v2/report`

This endpoint allows you to submit drop sample.

#### Request Body

| Name    | Type   | Description                                                                                                       |
| ------- | ------ | ----------------------------------------------------------------------------------------------------------------- |
| server  | string | Indicate the server of this drop sample. We support 4 servers now: "CN", "US", "JP" and "KR".                     |
| stageId | string | The stageId of this drop.                                                                                         |
| drops   | array  | An array of Drop. Please find its model below.                                                                    |
| source  | string | The source is used to mark the client sending this request. Equivalent to \`User-Agent\` presented in the header. |
| version | string | The version of the source.                                                                                        |

{% tabs %}
{% tab title="201 Successfully submitted. The reportHash can be used to recall user's last drop." %}

```
{
  "reportHash": "49523605e1ab4774d1058d9caa25879c193226c9effee177fb3571a9f0e83e69"
}
```

{% endtab %}

{% tab title="500 Errors happen during the submitting process." %}

```
```

{% endtab %}
{% endtabs %}

## Drop

### Model

```
{
  dropType: string,
  itemId: string,
  quantity: number
}
```

### Properties

`dropType` should be one of the four following values

* `NORMAL_DROP`
* `SPECIAL_DROP`
* `EXTRA_DROP`
* `FURNITURE`.

`itemId` is the internal id of item. It can be found in [this repository](https://github.com/Kengxxiao/ArknightsGameData).

`quantity` is the number of item dropped under this drop type. **Must be positive**.

## Examples of Request Body

```javascript
{
  "drops": [
    {
      "dropType": "SPECIAL_DROP",
      "itemId": "randomMaterial_3",
      "quantity": 1
    },
    {
      "dropType": "EXTRA_DROP",
      "itemId": "30061",
      "quantity": 2
    },
    {
      "dropType": "NORMAL_DROP",
      "itemId": "30013",
      "quantity": 1
    },
    {
      "dropType": "FURNITURE",
      "itemId": "furni",
      "quantity": 1
    }
  ],
  "stageId": "main_04-06",
  "server": "CN",
  "source": "CLIENT_SOURCE",
  "version": "CLIENT_VERSION"
}
```

```javascript
{
  "drops": [
    {
      "dropType": "NORMAL_DROP",
      "itemId": "30063",
      "quantity": 1
    }
  ],
  "stageId": "main_06-14",
  "server": "US",
  "source": "CLIENT_SOURCE",
  "version": "CLIENT_VERSION"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.penguin-stats.io/public-api/api-v2-instruction/report-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
